Mint a short-lived reauth proof after a fresh platform re-auth
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"reauth_assertion": "<string>",
"platform_reauth_at": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof"
payload = {
"reason": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"reauth_assertion": "<string>",
"platform_reauth_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
reauth_timestamp: '<string>',
reauth_signature: '<string>',
reauth_assertion: '<string>',
platform_reauth_at: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'reauth_timestamp' => '<string>',
'reauth_signature' => '<string>',
'reauth_assertion' => '<string>',
'platform_reauth_at' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"reauth_method_hint": "kombify-cloud"
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Wallet
Mint a short-lived reauth proof after a fresh platform re-auth
After a fresh biometric/platform re-authentication, mints a short-lived trusted-reauth HMAC proof (timestamp + signature) usable to authorize a subsequent reveal within the 5-minute window. Requires a valid fresh platform reauth assertion on the request.
POST
/
api
/
v1
/
wallet
/
{id}
/
reauth-proof
Mint a short-lived reauth proof after a fresh platform re-auth
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"reauth_assertion": "<string>",
"platform_reauth_at": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof"
payload = {
"reason": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"reauth_assertion": "<string>",
"platform_reauth_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
reauth_timestamp: '<string>',
reauth_signature: '<string>',
reauth_assertion: '<string>',
platform_reauth_at: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'reauth_timestamp' => '<string>',
'reauth_signature' => '<string>',
'reauth_assertion' => '<string>',
'platform_reauth_at' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/wallet/{id}/reauth-proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"reauth_timestamp\": \"<string>\",\n \"reauth_signature\": \"<string>\",\n \"reauth_assertion\": \"<string>\",\n \"platform_reauth_at\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"reauth_timestamp": "<string>",
"reauth_signature": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"reauth_method_hint": "kombify-cloud"
},
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}التفويضات
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
معلمات المسار
Resource ID
الجسم
application/json
